Locations
Create locations
Create locations
POST
/
locations
Create locations
curl --request POST \
--url https://idalia.app/api/locations \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
[
{
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]
'import requests
url = "https://idalia.app/api/locations"
payload = [
{
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
latitude: 123,
longitude: 123,
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>',
externalIds: {}
}
])
};
fetch('https://idalia.app/api/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://idalia.app/api/locations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'name' => '<string>',
'latitude' => 123,
'longitude' => 123,
'address1' => '<string>',
'address2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'country' => '<string>',
'externalIds' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://idalia.app/api/locations"
payload := strings.NewReader("[\n {\n \"name\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalIds\": {}\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://idalia.app/api/locations")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"name\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalIds\": {}\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://idalia.app/api/locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"name\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalIds\": {}\n }\n]"
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "Authentication required",
"code": "401"
}{
"error": "Access denied",
"code": "403"
}{
"error": "An unexpected error occurred",
"code": "500"
}Body
application/json
Response
Successful response
⌘I
Create locations
curl --request POST \
--url https://idalia.app/api/locations \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
[
{
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]
'import requests
url = "https://idalia.app/api/locations"
payload = [
{
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
latitude: 123,
longitude: 123,
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>',
externalIds: {}
}
])
};
fetch('https://idalia.app/api/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://idalia.app/api/locations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'name' => '<string>',
'latitude' => 123,
'longitude' => 123,
'address1' => '<string>',
'address2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'country' => '<string>',
'externalIds' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://idalia.app/api/locations"
payload := strings.NewReader("[\n {\n \"name\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalIds\": {}\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://idalia.app/api/locations")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"name\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalIds\": {}\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://idalia.app/api/locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"name\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"address1\": \"<string>\",\n \"address2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalIds\": {}\n }\n]"
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "Authentication required",
"code": "401"
}{
"error": "Access denied",
"code": "403"
}{
"error": "An unexpected error occurred",
"code": "500"
}
